aboutsummaryrefslogtreecommitdiff
path: root/script/install
diff options
context:
space:
mode:
Diffstat (limited to 'script/install')
-rwxr-xr-xscript/install10
1 files changed, 10 insertions, 0 deletions
diff --git a/script/install b/script/install
new file mode 100755
index 0000000..1887fc2
--- /dev/null
+++ b/script/install
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+#
+# Run all dotfiles installers.
+
+set -e
+
+cd "$(dirname $0)"/..
+
+# find the installers and run them iteratively
+find . -name install.sh | while read installer ; do sh -c "${installer}" ; done